/* Name: hardware.h
 * Project: Remote Sensor
 * Author: Christian Starkjohann
 * Creation Date: 2005-03-20
 * Tabsize: 4
 * Copyright: (c) 2005 by OBJECTIVE DEVELOPMENT Software GmbH
 * License: GNU GPL v2 (see License.txt) or proprietary (CommercialLicense.txt)
 * This Revision: $Id: hardware.h 312 2007-03-29 17:15:25Z cs $
 */

#ifndef __hardware_h_INCLUDED__
#define __hardware_h_INCLUDED__

#define PLLMODE     (1 << PCKE) | (1 << PLLE)
#define CNT1MODE    (3 << COM1B0) | (1 << PWM1B)

#define PWM_MAXVAL  80
#define PWM_VALUE   17

#define UART_PORT   PORTB
#define UART_BIT    0

#define HUMID_BIT_REF   0
#define HUMID_BIT_INP   1
#define HUMID_BIT_GND   2

#define TEMP_BIT_REF    6
#define TEMP_BIT_INP    5
#define TEMP_BIT_GND    4

#define VREG_BIT_INP    7

#endif /* __hardware_h_INCLUDED__ */
